package cn.com.qmth.examcloud.starters.face.verify.common;

import java.io.Serializable;

public interface IResult extends Serializable {

    /**
     * 是否人脸检测通过
     */
    boolean isDetectPass();

    /**
     * 是否人脸对比通过
     */
    boolean isComparePass();

    /**
     * 置信度
     */
    Double getConfidenceValue();

    /**
     * 置信度阈值(JSON)
     */
    String getThresholdValue();

    /**
     * 人脸数
     */
    int getFaceSize();

    /**
     * 请求并发是否超限
     */
    boolean requestOutOfLimit();

}
