package cn.com.qmth.examcloud.starters.face.verify.service;

import cn.com.qmth.examcloud.starters.face.verify.common.IResult;

public interface FaceVerifyService {

    /**
     * 百度 人脸检测
     */
    IResult faceDetectByBaidu(String imageUrl);

    /**
     * 百度 人脸比对
     */
    IResult faceCompareByBaidu(String imageUrl, String imageUrl2);

    /**
     * Face++ 人脸检测
     */
    IResult faceDetectByFacePlus(String imageUrl);

    /**
     * Face++ 人脸比对
     */
    IResult faceCompareByFacePlus(String imageUrl, String imageUrl2);

}
